Name:           nano
Version:        8.0
Release:        %mkrel 1
Summary:        Tiny console text editor that aims to emulate Pico

License:        GPLv3
Group:          Editors
Url:            https://www.nano-editor.org
Requires(post,preun): info-install
BuildRequires:  ncursesw-devel

%description
nano (Nano's ANOther editor) is the editor formerly known as
TIP (TIP Isn't Pico). It aims to emulate Pico as closely as
possible while also offering a few enhancements.

%prep

%build
pushd %{_sourcedir}
wget -nc https://www.nano-editor.org/dist/latest/nano-%{version}.tar.gz
tar -xf nano-%{version}.tar.gz -C %_builddir
popd

pushd %_builddir/nano-%{version}
%configure2_5x
%make
popd

%install
pushd  %_builddir/nano-%{version}
%makeinstall_std
%__install -Dm644 doc/sample.nanorc %{buildroot}%{_sysconfdir}/nanorc
popd

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/nanorc
%{_bindir}
%{_datadir}

%changelog
* Wed May 01 2024 tex - 8.0-1pclos2024
- new version

* Wed Jan 18 2023 tex - 7.2-1pclos2023
- new version

* Wed Dec 14 2022 tex - 7.1-1pclos2022
- new version

* Tue Nov 15 2022 tex - 7.0-1pclos2022
- new version

* Wed Aug 03 2022 tex - 6.4-1pclos2022
- new version

* Fri Apr 29 2022 tex - 6.3-1pclos2022
- new version

* Fri Feb 18 2022 tex - 6.2-1pclos2022
- new version

* Wed Feb 09 2022 tex - 6.1-1pclos2022
- new version

* Wed Dec 15 2021 tex - 6.0-1pclos2021
- new version

* Thu Oct 07 2021 tex - 5.9-1pclos2021
- new version

* Thu Apr 29 2021 tex - 5.7-1pclos2021
- new version

* Wed Mar 03 2021 tex - 5.6.1-1pclos2021
- new version

* Wed Feb 24 2021 tex - 5.6-1pclos2021
- new version

* Thu Jan 14 2021 tex - 5.5-1pclos2021
- new version

* Wed Dec 02 2020 tex - 5.4-1pclos2020
- new version

* Thu Oct 08 2020 tex - 5.3-1pclos2020
- new version

* Tue Aug 25 2020 tex - 5.2-1pclos2020
- new version

* Wed Aug 12 2020 tex - 5.1-1pclos2020
- new version

* Thu Jul 30 2020 tex - 5.0-1pclos2020
- new version

* Sat May 23 2020 tex - 4.9.3-1pclos2020
- new version

* Wed Apr 08 2020 tex - 4.9.2-1pclos2020
- new version

* Tue Mar 31 2020 tex - 4.9.1-1pclos2020
- new version

* Tue Mar 24 2020 tex - 4.9-1pclos2020
- new version

* Tue Dec 24 2019 tex - 4.7-1pclos2020
- new version

* Fri Nov 29 2019 tex - 4.6-1pclos2019
- new version

* Wed Oct 09 2019 tex - 4.5-1pclos2019
- new version

* Sun Aug 25 2019 tex - 4.4-1pclos2019
- new version

* Tue Jun 18 2019 tex - 4.3-1pclos2019
- new version

* Thu Apr 25 2019 tex - 4.2-1pclos2019
- new version

* Tue Apr 16 2019 tex - 4.1-1pclos2019
- new version

* Wed Mar 27 2019 tex - 4.0-1pclos2019
- new version

